


typedef void (*evfunc)(void);

struct ev
{
    int active;
    unsigned long int evtime, oldcycles;
    evfunc handler;
};

enum { 
    ev_hsync, ev_copper, ev_cia,
    ev_blitter, ev_diskblk, ev_diskindex,
#ifndef DONT_WANT_SOUND
    ev_aud0, ev_aud1, ev_aud2, ev_aud3,
    ev_sample,
#endif
    ev_max
};

extern struct ev eventtab[ev_max];

